# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name ghc-mtl

%global common_summary A mtl compatible with GHC-API monads and monad-transformers

%global common_description Provides an 'mtl' compatible version of the 'GhcT'\
 monad-transformer defined in the 'GHC-API' since version 6.10.1.

Name:           ghc-%{pkg_name}
Version:        1.0.1.2
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-MonadCatchIO-mtl-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-mtl-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.0.1.2-1
- update to 1.0.1.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 1.0.1.1-3
- update with cabal-rpm

* Mon Oct 01 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.1-2
- rebuild for ghc-7.4.1

* Sun Jul 15 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.1-1
- spec file template generated by cabal2spec-0.25.5

* Fri Jun 10 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.0-1
- License is BSD 3 clause. Added dependencies.
